<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:tns="http://www.oasis-open.org/tc/ebxml-iic/conformance/reqs">
	<xsl:output method="html"/>
	<!-- OASIS/ebXML Test Suite Framework
	       Description: XSLT Style Sheet for transforming ebXML testing requirements to HTML format
	       $Author: matt $
	       Organization: NIST, XML Global
	       Date: 03/26/2002
	       $Revision: 1.2 $
	        -->
	<xsl:template match="/">
	    <html>
	    <head><title>Requirements</title></head>
	    <body>
		<table  border="2">
			<xsl:apply-templates/>
		</table>
		</body>
		</html>
	</xsl:template>
	<xsl:template match="tns:Requirements">
		<tr>
			<td align="center">
				<h4>Requirement ID</h4>
			</td>
			<td  align="center">
				<h4>Name</h4>
			</td>
			<td  align="center">
				<h4>Function</h4>
			</td>
			<td  align="center">
				<h4>Specification Ref</h4>
			</td>
			<td  align="center">
				<h4>Condition</h4>
			</td>
			<td  align="center">
				<h4>Assertion</h4>
			</td>
		</tr>
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Level">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="tns:TestRequirement">
		<tr>
			<td>
				<xsl:value-of select="@id"/>
			</td>
			<td>
				<xsl:value-of select="@name"/>
			</td>
			<td>
				<xsl:value-of select="@functionalType"/>
			</td>
			<td>
				<xsl:value-of select="@specRef"/>
			</td>
			<td ></td>
			<td></td>
		</tr>
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="tns:SemanticRequirement">
		<tr>
			<td>
				<xsl:value-of select="@id"/>
			</td>
			<td>
				<xsl:value-of select="@name"/>
			</td>
			<td>
			</td>
			<td>
				<xsl:value-of select="@specRef"/>
			</td>
			<xsl:choose>
				<xsl:when test="tns:Clause">
					<td>
						<xsl:apply-templates/>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td/>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
	</xsl:template>
	<xsl:template match="tns:Condition">
		<xsl:choose>
			<xsl:when test="@conformanceType='required'">
				<font color="000000">
					<xsl:value-of select="."/>
				</font>
			</xsl:when>
			<xsl:when test="@conformanceType='strongly recommended'">
				<font color="008800">
					<xsl:value-of select="."/>
				</font>
			</xsl:when>
			<xsl:when test="@conformanceType='recommended'">
				<font color="008800">
					<xsl:value-of select="."/>
				</font>
			</xsl:when>
			<xsl:when test="@conformanceType='optional'">
				<font color="008800">
					<xsl:value-of select="."/>
				</font>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="tns:Assertion">
		<xsl:choose>
			<xsl:when test="@conformanceType='required'">
				<td>
					REQUIRED:<xsl:value-of select="."/>
				</td>
			</xsl:when>
			<xsl:when test="@conformanceType='strongly recommended'">
				<td bgcolor="00BB00">
					STRONGLY RECOMMENDED:<xsl:value-of select="."/>
				</td>
			</xsl:when>
			<xsl:when test="@conformanceType='recommended'">
				<td bgcolor="00BB00">
					RECOMMENDED:<xsl:value-of select="."/>
				</td>
			</xsl:when>
			<xsl:when test="@conformanceType='optional'">
				<td bgcolor="00BB00">
					OPTIONAL:<xsl:value-of select="."/>
				</td>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="tns:Clause">
		<b>(</b>
			<xsl:apply-templates/>
		<b>)</b>
	</xsl:template>
	<xsl:template match="tns:And">
		<xsl:text> AND </xsl:text>
	</xsl:template>
	<xsl:template match="tns:Or">
		<xsl:text> OR </xsl:text>
	</xsl:template>
</xsl:stylesheet>
